aboutsummaryrefslogtreecommitdiffstats
path: root/community/feedbackd/feedbackd.pre-install
diff options
context:
space:
mode:
Diffstat (limited to 'community/feedbackd/feedbackd.pre-install')
-rw-r--r--community/feedbackd/feedbackd.pre-install21
1 files changed, 21 insertions, 0 deletions
diff --git a/community/feedbackd/feedbackd.pre-install b/community/feedbackd/feedbackd.pre-install
new file mode 100644
index 00000000000..e3364feaef9
--- /dev/null
+++ b/community/feedbackd/feedbackd.pre-install
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Create the feedbackd group if not existing
+GROUP=feedbackd
+
+if ! getent group $GROUP >/dev/null; then
+ addgroup -S $GROUP 2>/dev/null
+fi
+
+# Print note about the additional group
+cat << __EOF__
+*
+* If you are switching between UIs on existing installations,
+* make sure that you add your user to the feedbackd group.
+* If the user isn't part of that group, the LED indicator won't be
+* functional.
+*
+__EOF__
+
+exit 0
+